Name:           enigma
Version:        0.92
Release:        1%{?dist}
Summary:        Clone of the ATARI game Oxyd

Group:          Amusements/Games
License:        GPL
URL:            http://www.nongnu.org/enigma/
Source0:        http://savannah.nongnu.org/download/enigma/enigma-0.92.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel >= 1.2  SDL_image-devel >= 1.2 SDL_mixer-devel >= 1.2.4
BuildRequires:  SDL_ttf-devel gettext libpng-devel
BuildRequires:  desktop-file-utils zlib-devel >= 1.2.0 tetex >= 2.0.2

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q

%build
%configure --enable-optimize
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall pngdir=${RPM_BUILD_ROOT}/%{_docdir}/enigma-%{version}/html/images htmldir=${RPM_BUILD_ROOT}/%{_docdir}/enigma-%{version}/html/ docdir=${RPM_BUILD_ROOT}/%{_docdir}/enigma-%{version}/html/reference
mv $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}/html .

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications            \
  --add-category "X-Fedora"                                 \
  $RPM_BUILD_ROOT%{_datadir}/applications/enigma.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING NEWS doc/TODO html/
%{_datadir}/enigma
%{_bindir}/enigma
%{_mandir}/man?/enigma.*
%{_datadir}/icons/hicolor/48x48/apps/enigma.png
%{_datadir}/pixmaps/enigma.png
%{_datadir}/applications/*enigma.desktop

%changelog
* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.92-1
- Update to 0.92
- Use disttag

* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-5
- rebuilt

* Sat May 07 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-3
- BR libpng-devel

* Thu May 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-2
- rebuilt

* Thu May 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.91-1
- Update to 0.91
- Add BR gettext, SDL_ttf-devel
- Use find_lang
- Remove GCC patches

* Thu Apr 14 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.81-5
- Fix build for GCC4.

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Nov 11 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.81-3
- Fix a number of C++ issues for FC3/GCC 3.4.

* Fri Jun 11 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.81-0.fdr.2
- Build-Require zlib-devel, tetex
- Don't install INSTALL

* Wed Dec 24 2003 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.81-0.fdr.1
- Initial RPM release based on spec-file in source
  package by Daniel Heck <dheck[AT]gmx.de>
